//===================================RISCKER====================================
//=================================Adder Block==================================
//------------------------------------------------------------------------------
//File Name:	adderB.v
//Purpose:		Adder stage for the parallel divider
//Parameters:	SIZE
//------------------------------------------------------------------------------
//=====================Alfredo Gualdron - Jose P. Pinilla=======================
//=================================Semillero ADT================================
//================================UPB Bucaramanga===============================
//Website:	http://semilleroadt.upbbga.edu.co/xiscker
//E-mail:	semilleroadt@gmail.com
//------------------------------------------------------------------------------
module adderB # (parameter SIZE = 1) (Cin,Sum1,Sum2,Result,Cout);

	input Cin;
	input [SIZE-1:0]Sum1,Sum2;
	output [SIZE-1:0]Result;
	output Cout;
	
wire [SIZE:0] r;


assign r = Sum1 + Sum2 + Cin;

assign Result = r[SIZE-1] ? Sum1: r[SIZE-1:0];

assign Cout = r[SIZE-1];

endmodule
